@import "../../../style/index.scss";

$height: calc(100vh - 170px);

.banner{
  position: relative;

  height: $height;

  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;

  border-radius: 5px;

  overflow: hidden;
  margin: 10px;
  
  &__box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    height: $height;
    padding: 0 20px;
  }

  &__text{
    position: absolute;
    bottom: 20px;
    width: 100%;
    height: 40px;

    color: #ffffff;
    background-color: rgba(0,0,0,0.5);
    
    font-size: 24px;
    text-align: center;

    @include animate;
  }

  &__text:hover{
    text-decoration: underline;
  }

  &__slider{
    position: absolute;
    left: 0;
    right: 0;

    display: flex;
    overflow: hidden;

    &-item{
      position: relative;

      flex-shrink: 0;

      width: 100%;
      height: $height;

      background-repeat: no-repeat;
      background-size: cover;
      background-position: center;

      transition: 1s ease-in;
    }
  }
}

@media(max-width:$widthTD){
  .banner{
    margin: 0;

    border-radius: 0;
  }
}